## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate sequoia-sop

Name:           rust-sequoia-sop
Version:        0.37.1
Release:        %autorelease
Summary:        Implementation of the Stateless OpenPGP Interface using Sequoia

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-sop
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * switch crypto backend from Nettle to OpenSSL
# * exclude files that are only useful for upstream development
Patch:          sequoia-sop-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of the Stateless OpenPGP Interface using Sequoia.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
    GPL-2.0-or-later AND
    Apache-2.0 AND
    BSD-3-Clause AND
    BSL-1.0 AND
    LGPL-2.0-or-later AND
    MIT AND
    MPL-2.0 AND
    Unicode-DFS-2016 AND
    (0BSD OR MIT OR Apache-2.0) AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (BSD-2-Clause OR Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sqop
%{_bindir}/sqopv
%{_mandir}/man1/sqop*
%{bash_completions_dir}/sqop.bash
%{fish_completions_dir}/sqop.fish
%{zsh_completions_dir}/_sqop
%{bash_completions_dir}/sqopv.bash
%{fish_completions_dir}/sqopv.fish
%{zsh_completions_dir}/_sqopv

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cliv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cliv-devel %{_description}

This package contains library source intended for building other packages which
use the "cliv" feature of the "%{crate}" crate.

%files       -n %{name}+cliv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-rust-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-rust" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-rust-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f cli,cliv

%build
export ASSET_OUT_DIR=target/assets
%cargo_build -f cli,cliv
%{cargo_license_summary -f cli,cliv}
%{cargo_license -f cli,cliv} > LICENSE.dependencies

%install
%cargo_install -f cli,cliv
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav target/assets/man-pages/sqop*.1 %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 target/assets/shell-completions/sqop.bash \
    %{buildroot}/%{bash_completions_dir}/sqop.bash
install -Dpm 0644 target/assets/shell-completions/sqopv.bash \
    %{buildroot}/%{bash_completions_dir}/sqopv.bash
install -Dpm 0644 target/assets/shell-completions/sqop.fish \
    %{buildroot}/%{fish_completions_dir}/sqop.fish
install -Dpm 0644 target/assets/shell-completions/sqopv.fish \
    %{buildroot}/%{fish_completions_dir}/sqopv.fish
install -Dpm 0644 target/assets/shell-completions/_sqop \
    %{buildroot}/%{zsh_completions_dir}/_sqop
install -Dpm 0644 target/assets/shell-completions/_sqopv \
    %{buildroot}/%{zsh_completions_dir}/_sqopv

%if %{with check}
%check
%cargo_test -f cli,cliv
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 08 2025 Fabio Valentini <decathorpe@gmail.com> - 0.37.1-1
- Update to version 0.37.1; Fixes RHBZ#2357700

* Sat Mar 08 2025 Fabio Valentini <decathorpe@gmail.com> - 0.37.0-1
- Update to version 0.37.0; Fixes RHBZ#2350081

* Sat Feb 08 2025 Fabio Valentini <decathorpe@gmail.com> - 0.36.1-2
- Rebuild with sop 0.8.2

* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.36.1-1
- Update to version 0.36.1; Fixes RHBZ#2343983

* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.36.0-3
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.36.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.36.0-1
- Update to version 0.36.0; Fixes RHBZ#2323730

* Mon Jul 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.35.0-1
- Update to version 0.35.0; Fixes RHBZ#2297902

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.34.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Fabio Valentini <decathorpe@gmail.com> - 0.34.0-1
- Update to version 0.34.0; Fixes RHBZ#2284611

* Mon May 20 2024 Fabio Valentini <decathorpe@gmail.com> - 0.33.0-1
- Update to version 0.33.0; Fixes RHBZ#2281015

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.32.0-3
- Rebuild       for rustix 0.38.34

* Mon Apr 22 2024 Fabio Valentini <decathorpe@gmail.com> - 0.32.0-2
- Switch crypto backend from Nettle to OpenSSL

* Wed Mar 20 2024 Fabio Valentini <decathorpe@gmail.com> - 0.32.0-1
- Update to version 0.32.0; Fixes RHBZ#2270428

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.31.0-1
- Update to version 0.31.0; Fixes RHBZ#2231909

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-2
- Rebuild for sequoia-openpgp v1.16

* Mon May 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-1
- Update to version 0.28.0; Fixes RHBZ#2187414

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.3-1
- Update to version 0.27.3; Fixes RHBZ#2089449

* Sun Feb 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.1-5
- Rebuild for bzip2 0.4.4 (CVE-2023-22895 / RUSTSEC-2023-0004)

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.1-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.26.1-1
- Update to version 0.26.1; Fixes RHBZ#1972711

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.23.0-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.23.0-1
- Update to version 0.23.0.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.22.2-1
- Initial package

## END: Generated by rpmautospec
